Bug 1671310 (CVE-2018-18508) - CVE-2018-18508 nss: NULL pointer dereference in several CMS functions resulting in a denial of service
Summary: CVE-2018-18508 nss: NULL pointer dereference in several CMS functions resulti...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-18508
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1671311 1673244 1673245 1673246 1725111
Blocks: 1671312
TreeView+ depends on / blocked
 
Reported: 2019-01-31 11:06 UTC by Andrej Nemec
Modified: 2020-02-05 09:50 UTC (History)
12 users (show)

Fixed In Version: nss 3.41.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-31 01:18:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1951 None None None 2019-07-30 19:49:54 UTC

Description Andrej Nemec 2019-01-31 11:06:07 UTC
A NULL pointer dereference issue was found in several CMS function. A specially crafted data could possibly crash nss.

External References:

https://developer.mozilla.org/en-US/docs/Mozilla/Projects/NSS/NSS_3.41.1_release_notes

Comment 1 Andrej Nemec 2019-01-31 11:06:16 UTC
Created nss tracking bugs for this issue:

Affects: fedora-all [bug 1671311]

Comment 5 errata-xmlrpc 2019-07-30 19:49:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1951 https://access.redhat.com/errata/RHSA-2019:1951

Comment 6 Product Security DevOps Team 2019-07-31 01:18:20 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-18508

Comment 7 Huzaifa S. Sidhpurwala 2020-02-05 09:50:16 UTC
Mitigation:

This issue only affects applications compiled against NSS which use CMS (Cryptographic Message Syntax) API. Other applications are not affected.


Note You need to log in before you can comment on or make changes to this bug.